petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCGetCoarseOperators

Gets coarse operator matrices for all levels (except the finest level)

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetCoarseOperators(PC pc,PetscInt *num_levels,Mat *coarseOperators[])

Logically Collective on PC

### Input Parameters

| pc | - the precondition context

### Output Parameter

| num_levels | - the number of levels

coarseOperators -the coarse operator matrices (size of num_levels-1)

### Keywords

MG, GAMG, BoomerAMG, get, multigrid, interpolation, level

### See Also

PCMGGetRestriction(), PCMGSetInterpolation(), PCMGGetRScale(), PCMGGetInterpolation(), PCGetInterpolations()

### Level

advanced

### Location

src/ksp/pc/interface/precon.c

### Implementations

PCGetCoarseOperators_BoomerAMG in src/ksp/pc/impls/hypre/hypre.c
PCGetCoarseOperators_MG in src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages